Description

It shouldn't. This was the root cause of why the TFTP orchestration was working for the last year - the build? flag was never read

correctly, but because old.os != os was always returning true (even when the OS wasn't changed) the TFTP orchestration was

working.

We've fixed the problem in build? (PR 1159) but the object comparisons remain. You can prove that Rails does odd things with a

smple snippet:

u = User.first

reload!

u1 = User.first

u == u1

=> false

 As a start I've altered the TFTP orchestration to use object.id which is reliable (since it's loaded from the db). There are probably a lot

more of these around the codebase though...

Related issues:

Related to Foreman - Bug #4031: TFTP record is not updated after host is built Closed 01/16/2014

Associated revisions

Revision 409ce13e - 01/22/2014 05:56 PM - Greg Sutcliffe

Fixes #4032 - Use object.id for comparisons

Revision d9998ea1 - 01/23/2014 11:31 AM - Greg Sutcliffe

Fixes #4032 - Use object.id for comparisons

(cherry picked from commit 409ce13e71b5a23178e109b0fb240fc2e2c6ff94)

History

#1 - 01/16/2014 12:41 PM - Greg Sutcliffe

https://github.com/theforeman/foreman/pull/1160

#2 - 01/16/2014 12:42 PM - Greg Sutcliffe

- Related to Bug #4031: TFTP record is not updated after host is built added

#3 - 01/22/2014 05:24 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#4 - 01/22/2014 06:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/1160


Applied in changeset 409ce13e71b5a23178e109b0fb240fc2e2c6ff94.
